Class | Chef::Provider::File
In: | lib/chef/provider/file.rb
Parent: | Chef::Provider

### Methods

action_create action_create_if_missing action_delete action_touch backup compare_content define_resource_requirements deploy_tempfile diff_current diff_current_from_content is_binary? load_current_resource load_current_resource_attrs set_all_access_controls set_content setup_acl update_new_file_state whyrun_supported?

### Included Modules

Chef::Mixin::Checksum Chef::Mixin::ShellOut

### Public Instance methods

action_create()
action_create_if_missing()
action_delete()
action_touch()
backup(file=nil)
compare_content()

Compare the content of a file. Returns true if they are the same, false if they are not.

define_resource_requirements()
deploy_tempfile() {|tempfile| ...}
diff_current(temp_path)
diff_current_from_content(new_content)
is_binary?(path)
load_current_resource()
load_current_resource_attrs()
set_all_access_controls()
set_content()

Set the content of the file, assuming it is not set correctly already.

setup_acl()
update_new_file_state(path=@new_resource.path)

if you are using a tempfile before creating, you must override the default with the tempfile, since the file at @new_resource.path will not be updated on converge

whyrun_supported?()

[Validate]